Subject: Re: [Bitcoin-development] Abnormally Large Tor node accepting only Bitcoin traffic

From: Gregory Maxwell <[email-masked]>
Date: Mon, 28 Jul 2014 07:08:05 -0700

On Mon, Jul 28, 2014 at 5:31 AM, Robert McKay <[email-masked]> wrote:
> I don't think Sybil attack is the right term for this.. there is only
> one IP address.. one "identity".

The bitcoin protocol is more or less identityless. It's using up lots
of network capacity, "number of sockets" is as pretty close as you
get.

> I'm not even sure that this behaviour can be considered abuse.. it's
> pretty much following the rules and maybe even improving the transaction
> and block propagation.

It isn't relaying transactions or blocks as far as anyone with a
connection to it can tell.

and sure, probably not much to worry about— people have been running
spy nodes for a long time, at least that much is not new.